<?xml version="1.0" encoding="windows-1251"?>
<!DOCTYPE xsl:stylesheet>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" indent="yes" encoding="Windows-1251"/>

<xsl:template match="/cart">

	<xsl:if test="error_not_isset_shop/node()">
		<p><b>Ошибка! Магазин с указанным идентификатором не найден!</b>
		<br/>Укажите правильный код магазина!
		</p>
	</xsl:if>

	<xsl:if test="not(error_not_isset_shop/node())">
		<xsl:choose>
			<xsl:when test="totalquantity = 0">
				<!-- В корзине нет ни одного элемента -->
				<p class="title">Корзина пуста</p>
				<xsl:choose>
					<xsl:when test="site_users_class_exists = 1 and user_id = 0">
						<p>Вы не авторизированы. Если Вы зарегистрированный пользователь, данные Вашей корзины станут видны после авторизации.</p>
					</xsl:when>
					<xsl:otherwise>
						Перейдите в каталог, выберите требуемый товар и добавьте его в корзину.
					</xsl:otherwise>
				</xsl:choose>					
			</xsl:when>
			<xsl:otherwise>
				
				<p class="title">Моя корзина</p>
				
				<!-- Вывод общих количества, веса и стоимости товаров -->
				<p>
				Товаров: <b><xsl:value-of select="totalquantity"/></b>
				</p>
				
				<p>
				Сумма заказа: <b><xsl:value-of select="totalsum"/>&#xA0;<xsl:value-of select="shop/currency"/></b>
				</p>
				
				<xsl:if test="totalweight > 0">
					<p>
					Общий вес заказа: <b><xsl:value-of select="totalweight"/>&#xA0;<xsl:value-of select="shop/shop_mesures_name"/></b>
					</p>
				</xsl:if>
				
				<p><a href="/shop/cart/">Перейти в корзину</a></p>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:if>

</xsl:template>

</xsl:stylesheet>